%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Name:           gnomecatalog
Version:        0.3.4
Release:        3%{?dist}
Summary:        Catalog Software for Gnome Desktop

Group:          Applications/File
License:        GPLv3
URL:            http://gnomecatalog.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  sqlite-devel, desktop-file-utils, python-devel, gettext
Requires:       gnome-desktop, python-sqlite2, pygtk2, python-vorbis, python-kaa-metadata
Buildarch:      noarch
# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 9
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

%description
Catalog your dvds/cds and files in your hard disk. Generate thumbnails 
of the video files and image files via nautilus (gnome file manager), 
and saves it in the database files. Save the metadata of the files, 
then you can search in the metatada of music and images.

%prep
%setup -q -n %{name}-%{version}.orig/

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 

desktop-file-install --vendor="fedora"   --delete-original            \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
   
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE README TODO ChangeLog
%{python_sitelib}/*
%{_bindir}/gnomecatalog
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime-info/%{name}*
%{_datadir}/mime/packages/gnomecatalog.xml
%{_datadir}/man/man1/gnomecatalog.1.gz
%{_datadir}/application-registry/gnomecatalog.applications
%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-gcatalog.png

%changelog
* Fri Jan 25 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.4-3
- Removed msgfmt and added gettext

* Fri Jan 25 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.4-2
- Added msgfmt to build requires

* Sun Jan 20 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.4-1
- New version
- Removed patch because it is included

* Tue Jan 15 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.3-1
- Added patch to shift libdir to datadir
- New release
- Removed AUTHORS doc file since it is no longer included
- Removed patch no longer needed upstream has taken my patch in
* Fri Jan 11 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.3.2.1-1
- Initial release
